import { ItemClassDetail } from "entity";
import { SelectQueryBuilder } from "typeorm";
import CommonHelper from "../helpers/common";
import { OrmHelper } from "../helpers/orm";

export class ItemClassDetailModel {
    static async list(filter = {}): Promise<SelectQueryBuilder<any>> {
        const repo = OrmHelper.DB.getRepository(ItemClassDetail);
        let whereAttr: string[] = [];
        let whereVal: any = {};
        if (filter && Object.keys(filter).length > 0) {
            whereAttr = [...whereAttr, ...CommonHelper.handleQueryFilter(filter, "item_class_detail").whereAttr];
            whereVal = { ...whereVal, ...CommonHelper.handleQueryFilter(filter, "item_class_detail").whereVal };
        }

        var query = repo.createQueryBuilder("item_class_detail");
        if (whereAttr.length != 0) {
            query = query.where(whereAttr.join(" and "), whereVal);
        }

        return query;
    }
}